Subject: bug#39318: closed (Re: [core-updates] 'make-desktop-entry-file' is not exported)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Jan 2020 16:13:02 +0000

Your bug report

#39318: [core-updates] 'make-desktop-entry-file' is not exported

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39318: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39318
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [core-updates] 'make-desktop-entry-file' is not exported
From: Marius Bakke <[email-masked]>
To: Pierre Neidhardt <[email-masked]>, [email-masked]
Date: Thu, 30 Jan 2020 17:12:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Pierre Neidhardt <[email-masked]> writes:

> I've tried to test but it rebuilds the world, looks like there is no
> substitute for core-updates.
> I've pushed anyways, let me know if that works for you.

Obviously the CI system can not offer substitutes in advance for a
world-rebuilding change!  :-)

I feel slightly offended by being asked to try your untested patch.  Are
you under the impression that I _don't_ have to rebuild the world?

Thanks anyway, closing this issue as I am fairly confident it is solved.

Subject: [core-updates] 'make-desktop-entry-file' is not exported
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Tue, 28 Jan 2020 00:40:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On the 'core-updates' branch, emacs-exwm, tome4 and drascula fails to
build because 'make-desktop-entry-file' is not available.